Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object System.Net.ICredentials System.Net.ICredentialsByHost

The class is a base class that supplies credentials in password-based authentication schemes such as basic, digest, NTLM, and Kerberos. Classes that implement the interface, such as the class, return objects.

This class does not support public key-based authentication methods such as Secure Sockets Layer (SSL) client authentication.

Provides credentials for password-based authentication schemes such as basic, digest, NTLM, and Kerberos authentication.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The default constructor for the class initializes all properties to null.

  Initializes a new instance of the class.

  0
- Constructor
  4.0.0.0

  The constructor initializes a object with the property set to and the property set to .

  The parameter is a instance.

  If this constructor is called with the parameter set to null, a new instance of is initialized, If secure strings are not supported on this platform, then the is thrown

  Initializes a new instance of the class with the specified user name and password.

  The user name associated with the credentials.
  The password for the user name associated with the credentials.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The constructor initializes a object with the property set to and the property set to .

  Initializes a new instance of the class with the specified user name and password.

  The user name associated with the credentials.
  The password for the user name associated with the credentials.
  0
- Constructor
  4.0.0.0

  The constructor initializes a object with the property set to , the property set to , and the property set to .

  The parameter is a instance.

  If this constructor is called with the parameter set to null, a new instance of is initialized, If secure strings are not supported on this platform, then the is thrown

  Initializes a new instance of the class with the specified user name, password, and domain.

  The user name associated with the credentials.
  The password for the user name associated with the credentials.
  The domain associated with these credentials.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  The constructor initializes a object with the property set to , the property set to , and the property set to .

  Initializes a new instance of the class with the specified user name, password, and domain.

  The user name associated with the credentials.
  The password for the user name associated with the credentials.
  The domain associated with these credentials.
  0
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the name of the domain that verifies the current credentials.

  Requires read access to the environment variable that contains the domain name. See .

  The property specifies the domain or realm to which the user name belongs. Typically, this is the host computer name where the application runs or the user domain for the currently logged in user.

  Gets or sets the domain or computer name that verifies the credentials.

  0
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Net.NetworkCredential `` `` To be added.

  Returns an instance of the class for the specified Uniform Resource Identifier (URI) and authentication type.

  A object.

  The URI that the client provides authentication for. The type of authentication requested, as defined in the property. 0
- Method
  2.0.0.0
  4.0.0.0
  System.Net.NetworkCredential `` `` ``

  The value of corresponds to the property.

  Returns an instance of the class for the specified host, port, and authentication type.

  A for the specified host, port, and authentication protocol, or null if there are no credentials available for the specified host, port, and authentication protocol.

  The host computer that authenticates the client. The port on the that the client communicates with. The type of authentication requested, as defined in the property.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the password of the account associated with the current credentials.

  To be added. Requires permission to execute unmanaged code. See .

  Gets or sets the password for the user name associated with the credentials.

  0
- Property
  4.0.0.0
  System.Security.SecureString To be added.

  If an application attempts to set the property to null, a new instance of is initialized, If secure strings are not supported on this platform, then the is thrown

  Gets or sets the password as a instance.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  A containing the user name for the account associated with the current credentials.

  To be added. Requires read access to the environment variable that contains the user name. See .

  Gets or sets the user name associated with the credentials.

  0
0